Package ghidra.program.util

# Class BlockStartLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.CodeUnitLocation
ghidra.program.util.CommentFieldLocation
ghidra.program.util.BlockStartLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

public class BlockStartLocation extends CommentFieldLocation
`BlockStartLocation` provides information about the location (within a program) of an object that represents the start of a memory block.

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.CommentFieldLocation

  `comment, type`

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlockStartLocation()`
  Default constructor needed for restoring a program location from XML
  `BlockStartLocation(Program program, Address addr, int[] componentPath, int row, int charOffset, String[] comment, int commentRow)`
  Create a new BlockStartLocation.

- ## Method Summary

  ### Methods inherited from class ghidra.program.util.CommentFieldLocation

  `equals, getComment, getCommentType, hashCode, restoreState, saveState, toString`

  ### Methods inherited from class ghidra.program.util.CodeUnitLocation

  `isValid`

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, compareTo, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BlockStartLocation

    public BlockStartLocation(Program program, Address addr, int[] componentPath, int row, int charOffset, String[] comment, int commentRow)
    Create a new BlockStartLocation.
    Parameters:
      `program` - the program of the location
      `addr` - address of block
      `componentPath` - object that uniquely identifies a module or fragment by its hierarchy names; this parameter may be null
      `row` - the component row
      `charOffset` - character position of the location
      `comment` - the block comments
      `commentRow` - the comment row

  - ### BlockStartLocation

    public BlockStartLocation()
    Default constructor needed for restoring a program location from XML